Debian Bug report logs - #668596
ITP: irods -- Data grid storage management system

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alastair McKinstry <mckinstry@debian.org>

Date: Fri, 13 Apr 2012 10:00:01 UTC

Owned by: Alastair McKinstry <mckinstry@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#668596; Package wnpp. (Fri, 13 Apr 2012 10:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 13 Apr 2012 10:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: irods -- Data grid storage management system
Date: Fri, 13 Apr 2012 10:44:22 +0100
Package: wnpp
Severity: wishlist
Owner: Alastair McKinstry <mckinstry@debian.org>

* Package name    : irods
  Version         : 3.1
  Upstream Author : DICE research group
* URL             : http://www.irods.org/
* License         : BSD
  Programming Lang: C
  Description     : Data grid storage management system

 iRODS, the Integrated Rule-Oriented Data System, is a data grid 
 software system developed by the Data Intensive Cyber Environments
 research group (developers of the SRB, the Storage Resource Broker), and collaborators. 
 The iRODS system is based on expertise gained through a decade
 of applying the SRB technology in support of Data Grids, Digital Libraries, 
 Persistent Archives, and Real-time Data Systems. 
 iRODS management policies (sets of assertions these communities make 
 about their digital collections) are characterized in iRODS Rules 
 and state information. 
 At the iRODS core, a Rule Engine interprets the Rules to decide 
 how the system is to respond to various requests and conditions.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#668596; Package wnpp. (Mon, 25 Jun 2012 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alastair McKinstry <mckinstry@debian.org>. (Mon, 25 Jun 2012 13:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 668596@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: 668596@bugs.debian.org
Cc: Alastair McKinstry <mckinstry@debian.org>, NeuroDebian Team <team@neuro.debian.net>
Subject: iRODS 4 Debian -- any status update?
Date: Mon, 25 Jun 2012 09:34:51 -0400
Hi Alastair,

It was great to spot your ITP for iRODS.  Having iRODS properly packaged
and maintained in Debian would also benefit neuroinformatics people and
thus we, NeuroDebian project (http://neuro.debian.net), are interested
as well.  Time permitting, we could help with packaging/maintainership,
and provide backport builds of it for compatible Debian and Ubuntu
releases from our NeuroDebian repository.

are you going to maintain it alone, or under some dedicated or public
(e.g. debian-science) team?

Keep on great work, cheers!
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#668596; Package wnpp. (Mon, 25 Jun 2012 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 25 Jun 2012 14:36:04 GMT) Full text and rfc822 format available.

Message #15 received at 668596@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 668596@bugs.debian.org, NeuroDebian Team <team@neuro.debian.net>
Subject: Re: iRODS 4 Debian -- any status update?
Date: Mon, 25 Jun 2012 15:23:50 +0100
On 2012-06-25 14:34, Yaroslav Halchenko wrote:
> Hi Alastair,
>
> It was great to spot your ITP for iRODS.  Having iRODS properly packaged
> and maintained in Debian would also benefit neuroinformatics people and
> thus we, NeuroDebian project (http://neuro.debian.net), are interested
> as well.  Time permitting, we could help with packaging/maintainership,
> and provide backport builds of it for compatible Debian and Ubuntu
> releases from our NeuroDebian repository.
>
> are you going to maintain it alone, or under some dedicated or public
> (e.g. debian-science) team?
>
> Keep on great work, cheers!
We're using it here locally at ICHEC (www.ichec.ie) for climate data.
I'm hoping to get the clients packaged soon first but unlikely to get it
in the next
release of Debian (wheezy) as it is just about frozen and iRODS is not a
small package -
i'd expect to hit issues.

My plan is to get an "irods-client" package thats got the irods clients
first, then
proceed to add more packages (from the same source) with the server, etc.
have you a particular functionality that is a priority for you?

regards
Alastair


-- 
Alastair McKinstry  , <alastair@sceal.ie> , <mckinstry@debian.org>    http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite world
is either a madman or an economist - Kenneth Boulter, Economist.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#668596; Package wnpp. (Mon, 25 Jun 2012 15:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alastair McKinstry <mckinstry@debian.org>. (Mon, 25 Jun 2012 15:03:08 GMT) Full text and rfc822 format available.

Message #20 received at 668596@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Alastair McKinstry <mckinstry@debian.org>
Cc: 668596@bugs.debian.org, NeuroDebian Team <team@neuro.debian.net>
Subject: Re: iRODS 4 Debian -- any status update?
Date: Mon, 25 Jun 2012 11:01:22 -0400
On Mon, 25 Jun 2012, Alastair McKinstry wrote:

> > are you going to maintain it alone, or under some dedicated or public
> > (e.g. debian-science) team?

> > Keep on great work, cheers!
> We're using it here locally at ICHEC (www.ichec.ie) for climate data.
> I'm hoping to get the clients packaged soon first but unlikely to get it
> in the next
> release of Debian (wheezy) as it is just about frozen and iRODS is not a
> small package -
> i'd expect to hit issues.

> My plan is to get an "irods-client" package thats got the irods clients
> first, then
> proceed to add more packages (from the same source) with the server, etc.
> have you a particular functionality that is a priority for you?

I am not using iRODS myself (yet), but INCF (http://www.incf.org)
people are interested in building up on top of it:

http://neuralensemble.org/media/slides/Ritz_INCFcyberinfrastructure_CodeJam5.pdf

that is why I got interested and expect to give it a try some time
in the future.  -client as the #1 TODO item sounds reasonable to me too.
And even though it would not hit wheezy release, as I have mentioned, we
could provide backports for wheezy ;-)

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#668596; Package wnpp. (Thu, 18 Oct 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alastair McKinstry <mckinstry@debian.org>. (Thu, 18 Oct 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 668596@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: 668596@bugs.debian.org
Subject: irods packages update
Date: Thu, 18 Oct 2012 18:40:59 +0200
Hi,

it seems that INCF has already created some IRODS packages:

https://github.com/INCF/ids-tools/wiki/Installing-the-IDS-Command-Line-Utilities

Right now (and according to INCF) things are being reorganized, so I
can't access the packages via the mentioned repo -- but it might be
worth keeping this in mind...

Michael

-- 
Michael Hanke
http://mih.voxindeserto.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#668596; Package wnpp. (Mon, 29 Jul 2013 14:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 29 Jul 2013 14:36:04 GMT) Full text and rfc822 format available.

Message #30 received at 668596@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 668596@bugs.debian.org
Subject: Fwd: Re: iRODS in Debian
Date: Mon, 29 Jul 2013 15:28:10 +0100
[Message part 1 (text/plain, inline)]
To track:


-------- Original Message --------
Subject: 	Re: iRODS in Debian
Date: 	Wed, 27 Jun 2012 08:02:20 -0400
From: 	Terrell Russell <tgr@renci.org>
To: 	Alastair McKinstry <mckinstry@debian.org>



Ah, we don't yet have a source package as we are still in the process of
developing licensing decisions.  The plan is to be fully open source,
but for now, we have only beta released the binary DEB files for E-iRODS.

Terrell



On 6/27/12 5:27 AM, Alastair McKinstry wrote:
> On 2012-06-27 03:45, Terrell Russell wrote:
>> Alastair,
>>
>> Regarding the wnpp ITP bug for iRODS here:
>>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668596
>>
>> We at RENCI have been working on packaging iRODS/E-iRODS for the last
>> few months.  We released our second beta this week.
>>
>>   http://e-irods.org/release/e-irods-beta-2-is-released/
>>
>>   http://e-irods.org/about/
>>
>> We are not yet lintian clean, but we are close and hope to start the
>> eventual process of getting our software into the Debian upstream.
> Is it possible to get the source package? I can only see the .deb files
> in the ftp site.
> 
> best regards
> Alastair
> 
>> Since you are named as the owner of this intent to package bug, I wanted
>> to let you know of our progress.  We are working closely with the DICE
>> group, original authors and maintainers of the iRODS community code base.
>>
>> Thank you,
>>
>> Terrell
> 
> 



[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:22:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.